Bug 133784 - parted assertion failure during fc3t2 install
parted assertion failure during fc3t2 install
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-09-27 09:42 EDT by djh
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-28 09:52:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
partition tables, before and after installation (1.83 KB, text/plain)
2004-09-27 09:46 EDT, djh
no flags Details

  None (edit)
Description djh 2004-09-27 09:42:02 EDT
Assertion (metadata_length>=bios_geom.sectors) at disk_dos.c:1739 in
function _add_logical_part_metadata() failed.

This error dialog appeared numerous times during the installation,
after selecting 'manually partition with Disk Druid'.  After much
clicking of the 'ignore' button the installation completed, but the
partition table got hosed.  (and subsequently grub failed to install)

I didn't try FC3t1 on this system - FC2 installs okay.
Comment 1 djh 2004-09-27 09:46:36 EDT
Created attachment 104370 [details]
partition tables, before and after installation
Comment 2 Jeremy Katz 2004-09-27 11:15:17 EDT
If you have FC2 installed, can you install the current devel parted
package (1.6.15) and see if it can print your partition tale?
Comment 3 djh 2004-09-28 00:31:17 EDT
Yes, both versions of parted display the partition table okay on FC2.
 The FC2 version of parted displays this warning though:

Warning: Unable to align partition properly.  This probably means that
another partitioning tool generated an incorrect partition table,
because it didn't have the correct BIOS geometry.  It is safe to
ignore, but ignoring may cause (fixable) problems with some boot loaders.
Comment 4 Jeremy Katz 2004-09-28 09:52:18 EDT
Okay, then this is fixed in rawhide and will be fixed in test3.

Note You need to log in before you can comment on or make changes to this bug.